Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004421OCamlOCamlbuild (the tool)public2007-10-15 22:022012-07-04 13:54
Reporterjessicah 
Assigned Toertai 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.10.0 
Target VersionFixed in Version3.11.2+dev 
Summary0004421: ocamlbuild uses wrong compiler for C files
DescriptionWhen trying to compile C files as part of an ocaml native project, ocamlbuild always uses ocamlc.opt to compile the C files, which is incorrect. The compiler options passed by ocamlopt.opt and ocamlc.opt are different for compiling C files, and this difference ended up causing a lot of problems trying to track down where the errors were coming from trying to link my project.

Even specifying in my _tags file:

true: native, -byte
false: byte

it still refused to build C files with ocamlopt.opt. In the end, I had to override the compiler with -cc, and pass the options to the C compiler ocamlopt would normally pass to gcc with -ccopt.
TagsNo tags attached.
Attached Files

- Relationships
related to 0004613resolvedgasche Tries to build cmo files for native target(s) 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2007-10-15 22:02 jessicah New Issue
2007-11-10 14:09 xleroy Status new => assigned
2007-11-10 14:09 xleroy Assigned To => ertai
2008-10-06 11:47 ertai Category OCaml general => OCamlbuild
2009-12-07 12:16 xclerc Status assigned => resolved
2009-12-07 12:16 xclerc Fixed in Version => 3.11.2+dev
2009-12-07 12:16 xclerc Resolution open => fixed
2011-05-29 12:20 xleroy Status resolved => closed
2012-02-02 15:17 protz Category OCamlbuild => OCamlbuild (the tool)
2012-07-04 13:54 doligez Relationship added related to 0004613


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker